function [choice probabilities] = eGreedy(values,explorationRate)

    % eGreedy solutions chooce the best choice but explore e percent of the
    % time

    % determine the number of choices
    numberOfChoices = length(values);
    
    % assign a position value to each choice
    possibleChoices = 1:1:numberOfChoices;

    % determine the best choice and control for ties
    [maxValue choice] = max(values);
    [tiesTrue tieLocations] = find(values == maxValue);
    if sum(tiesTrue) > 1
        % reasign max location to one of the tie values
        choice = possibleChoices(randi(length(tiesTrue)));
    end
    
    % check to see if we go with the max choice or if we explore    
    doIExplore = rand(1);
    if doIExplore <= explorationRate
        choice = randi(numberOfChoices);
    end
    
    probabilities(1:length(values)) = explorationRate/(length(values)-1);
    probabilities(choice) = 1 - explorationRate;

end