function [choice probabilities] = softMax(values,temperature)

    % determine the number of choices
    numberOfChoices = length(values);
    
    % assign a position value to each choice
    possibleChoices = 1:1:numberOfChoices;
    
    numerator = exp(values/temperature);
    denominator = sum(numerator);
    policy = numerator / denominator;
    probabilities = cumsum(policy);
    randSelect = rand(1);
    check = randSelect >= probabilities;
    choiceLocation = find(check == 0, 1, 'first');
    choice = possibleChoices(choiceLocation);
    
end